Index: trunk/src/lib/collision_reaction/collision.cc
===================================================================
--- trunk/src/lib/collision_reaction/collision.cc	(revision 9235)
+++ trunk/src/lib/collision_reaction/collision.cc	(revision 9406)
@@ -19,5 +19,5 @@
 #include "debug.h"
 
-using namespace std;
+
 
 
Index: trunk/src/lib/collision_reaction/collision_event.cc
===================================================================
--- trunk/src/lib/collision_reaction/collision_event.cc	(revision 9235)
+++ trunk/src/lib/collision_reaction/collision_event.cc	(revision 9406)
@@ -19,5 +19,5 @@
 #include "debug.h"
 
-using namespace std;
+
 
 
Index: trunk/src/lib/collision_reaction/collision_handle.cc
===================================================================
--- trunk/src/lib/collision_reaction/collision_handle.cc	(revision 9235)
+++ trunk/src/lib/collision_reaction/collision_handle.cc	(revision 9406)
@@ -29,5 +29,5 @@
 #include "debug.h"
 
-using namespace std;
+
 
 
@@ -178,5 +178,5 @@
 
  c->registerCollisionEvent(collisionEvent);
- PRINTF(5)("Registering Collision Event: %s, %s\n", collisionEvent->getEntityA()->getClassName(), collisionEvent->getEntityB()->getClassName());
+ PRINTF(5)("Registering Collision Event: %s, %s\n", collisionEvent->getEntityA()->getClassCName(), collisionEvent->getEntityB()->getClassCName());
 }
 
@@ -204,5 +204,5 @@
 
   // collision reaction calculations (for every collision there will be a reaction)
-  vector<Collision*>::iterator it = this->collisionList.begin();
+  std::vector<Collision*>::iterator it = this->collisionList.begin();
   for(; it < this->collisionList.end(); it++) {
     if( !(*it)->isDispatched())
@@ -227,24 +227,24 @@
 bool CollisionHandle::filterCollisionEvent(CollisionEvent* collisionEvent)
 {
-  vector<long>::iterator it = this->targetList.begin();
+  std::vector<long>::iterator it = this->targetList.begin();
   for(; it < this->targetList.end(); it++)
   {
 //     if(collisionEvent->getEntityB()->isA(CL_AIMING_SYSTEM) || collisionEvent->getEntityA()->isA(CL_AIMING_SYSTEM))
 //     {
-//        PRINTF(0)("I am: %s colliding with: %s\n", owner->getClassName(), collisionEvent->getEntityB()->getClassName(), *it);
+//        PRINTF(0)("I am: %s colliding with: %s\n", owner->getClassCName(), collisionEvent->getEntityB()->getClassCName(), *it);
 //        if( collisionEvent->getEntityA() == this->owner) {
-//          PRINTF(0)("I am owner -> I am: %s colliding with: %s is a %i filter?\n", owner->getClassName(),
-//          collisionEvent->getEntityB()->getClassName(), *it);
+//          PRINTF(0)("I am owner -> I am: %s colliding with: %s is a %i filter?\n", owner->getClassCName(),
+//          collisionEvent->getEntityB()->getClassCName(), *it);
 //          if( collisionEvent->getEntityB()->isA((ClassID)(*it))) {
-//            PRINTF(0)("I am owner -> I am: %s colliding with: %s is a %i filter ok\n", owner->getClassName(),
-//            collisionEvent->getEntityB()->getClassName(), *it);
+//            PRINTF(0)("I am owner -> I am: %s colliding with: %s is a %i filter ok\n", owner->getClassCName(),
+//            collisionEvent->getEntityB()->getClassCName(), *it);
 //             }
 //        }
 //        else {
-//          PRINTF(0)("I am not owner -> I am: %s colliding with: %s is a %i filter?\n", owner->getClassName(),
-//          collisionEvent->getEntityB()->getClassName(), *it);
+//          PRINTF(0)("I am not owner -> I am: %s colliding with: %s is a %i filter?\n", owner->getClassCName(),
+//          collisionEvent->getEntityB()->getClassCName(), *it);
 //          if( collisionEvent->getEntityA()->isA((ClassID)(*it))) {
-//            PRINTF(0)("I'm not owner -> I am: %s colliding with: %s is a %i filter ok\n", owner->getClassName(),
-//            collisionEvent->getEntityA()->getClassName(), *it);
+//            PRINTF(0)("I'm not owner -> I am: %s colliding with: %s is a %i filter ok\n", owner->getClassCName(),
+//            collisionEvent->getEntityA()->getClassCName(), *it);
 //             }
 //        }
@@ -254,12 +254,12 @@
     if( collisionEvent->getEntityA() == this->owner) {
       if( collisionEvent->getEntityB()->isA((ClassID)(*it))) {
-        PRINTF(5)("I am: %s colliding with: %s is a %i filter ok\n", owner->getClassName(),
-                  collisionEvent->getEntityB()->getClassName(), *it);
+        PRINTF(5)("I am: %s colliding with: %s is a %i filter ok\n", owner->getClassCName(),
+                  collisionEvent->getEntityB()->getClassCName(), *it);
         return true; }
     }
     else {
       if( collisionEvent->getEntityA()->isA((ClassID)(*it))) {
-        PRINTF(5)("I am: %s colliding with: %s is a %i filter ok\n", owner->getClassName(),
-                  collisionEvent->getEntityA()->getClassName(), *it);
+        PRINTF(5)("I am: %s colliding with: %s is a %i filter ok\n", owner->getClassCName(),
+                  collisionEvent->getEntityA()->getClassCName(), *it);
       return true; }
     }
@@ -276,5 +276,5 @@
 bool CollisionHandle::filterCollision(Collision* collision)
 {
-  vector<long>::iterator it = this->targetList.begin();
+  std::vector<long>::iterator it = this->targetList.begin();
   for(; it < this->targetList.end(); it++)
   {
@@ -282,19 +282,19 @@
 //     if(collision->getEntityB()->isA(CL_AIMING_SYSTEM) || collision->getEntityA()->isA(CL_AIMING_SYSTEM))
 //     {
-//       PRINTF(0)("Shared!!! I am: %s colliding with: %s\n", owner->getClassName(), collision->getEntityB()->getClassName(), *it);
+//       PRINTF(0)("Shared!!! I am: %s colliding with: %s\n", owner->getClassCName(), collision->getEntityB()->getClassCName(), *it);
 //       if( collision->getEntityA() == this->owner) {
-//         PRINTF(0)("I am owner -> I am: %s colliding with: %s is a %i filter?\n", owner->getClassName(),
-//         collision->getEntityB()->getClassName(), *it);
+//         PRINTF(0)("I am owner -> I am: %s colliding with: %s is a %i filter?\n", owner->getClassCName(),
+//         collision->getEntityB()->getClassCName(), *it);
 //         if( collision->getEntityB()->isA((ClassID)(*it))) {
-//           PRINTF(0)("I am owner -> I am: %s colliding with: %s is a %i filter ok\n", owner->getClassName(),
-//           collision->getEntityB()->getClassName(), *it);
+//           PRINTF(0)("I am owner -> I am: %s colliding with: %s is a %i filter ok\n", owner->getClassCName(),
+//           collision->getEntityB()->getClassCName(), *it);
 //         }
 //       }
 //       else {
-//         PRINTF(0)("I'm not owner -> I am: %s colliding with: %s is a %i filter?\n", owner->getClassName(),
-//         collision->getEntityB()->getClassName(), *it);
+//         PRINTF(0)("I'm not owner -> I am: %s colliding with: %s is a %i filter?\n", owner->getClassCName(),
+//         collision->getEntityB()->getClassCName(), *it);
 //         if( collision->getEntityA()->isA((ClassID)(*it))) {
-//           PRINTF(0)("I'm not owner -> I am: %s colliding with: %s is a %i filter ok\n", owner->getClassName(),
-//           collision->getEntityA()->getClassName(), *it);
+//           PRINTF(0)("I'm not owner -> I am: %s colliding with: %s is a %i filter ok\n", owner->getClassCName(),
+//           collision->getEntityA()->getClassCName(), *it);
 //         }
 //       }
Index: trunk/src/lib/collision_reaction/collision_reaction.cc
===================================================================
--- trunk/src/lib/collision_reaction/collision_reaction.cc	(revision 9235)
+++ trunk/src/lib/collision_reaction/collision_reaction.cc	(revision 9406)
@@ -19,5 +19,5 @@
 
 
-using namespace std;
+
 
 
Index: trunk/src/lib/collision_reaction/cr_engine.cc
===================================================================
--- trunk/src/lib/collision_reaction/cr_engine.cc	(revision 9235)
+++ trunk/src/lib/collision_reaction/cr_engine.cc	(revision 9406)
@@ -27,5 +27,5 @@
 #include "debug.h"
 
-using namespace std;
+
 
 
@@ -61,8 +61,8 @@
   this->reset();
 
-  vector<Collision*>::iterator it1 = this->collisionsUnused.begin();
+  std::vector<Collision*>::iterator it1 = this->collisionsUnused.begin();
   for(; it1 < this->collisionsUnused.end(); it1++)
     delete *it1;
-  vector<CollisionEvent*>::iterator it2 = this->collisionEventsUnused.begin();
+  std::vector<CollisionEvent*>::iterator it2 = this->collisionEventsUnused.begin();
   for(; it2 < this->collisionEventsUnused.end(); it2++)
     delete *it2;
@@ -92,5 +92,5 @@
   // first clear all CollisionHandles
 
-  vector<CollisionHandle*>::iterator it = this->collisionHandles.begin();
+  std::vector<CollisionHandle*>::iterator it = this->collisionHandles.begin();
   for(; it < this->collisionHandles.end(); it++)
   {
@@ -159,9 +159,9 @@
 void CREngine::flushCollisions()
 {
-  vector<Collision*>::iterator it1 = this->collisionsUsed.begin();
+  std::vector<Collision*>::iterator it1 = this->collisionsUsed.begin();
   for(; it1 < this->collisionsUsed.end(); it1++)
     this->collisionsUnused.push_back(*it1);
 
-  vector<CollisionEvent*>::iterator it2 = this->collisionEventsUsed.begin();
+  std::vector<CollisionEvent*>::iterator it2 = this->collisionEventsUsed.begin();
   for(; it2 < this->collisionEventsUsed.end(); it2++)
     this->collisionEventsUnused.push_back(*it2);
Index: trunk/src/lib/collision_reaction/cr_object_damage.cc
===================================================================
--- trunk/src/lib/collision_reaction/cr_object_damage.cc	(revision 9235)
+++ trunk/src/lib/collision_reaction/cr_object_damage.cc	(revision 9406)
@@ -26,5 +26,5 @@
 #include "debug.h"
 
-using namespace std;
+
 
 
@@ -57,6 +57,6 @@
 
   PRINTF(4)("Dealing damage - Handling collision: %s vs %s\n",
-            collision->getEntityA()->getClassName(),
-            collision->getEntityB()->getClassName());
+            collision->getEntityA()->getClassCName(),
+            collision->getEntityB()->getClassCName());
 
   // the collision damage been dealed by the entity
@@ -64,5 +64,5 @@
     damage = collision->getEntityB()->getDamage();
     collision->getEntityA()->hit(damage, collision->getEntityB());
-    PRINTF(4)("Dealing damage - %f damage to %s \n", damage, collision->getEntityA()->getClassName());
+    PRINTF(4)("Dealing damage - %f damage to %s \n", damage, collision->getEntityA()->getClassCName());
   }
 
@@ -70,5 +70,5 @@
     damage = collision->getEntityA()->getDamage();
     collision->getEntityB()->hit(damage, collision->getEntityA());
-    PRINTF(4)("Dealing damage - %f damage to %s \n", damage, collision->getEntityB()->getClassName());
+    PRINTF(4)("Dealing damage - %f damage to %s \n", damage, collision->getEntityB()->getClassCName());
   }
 
Index: trunk/src/lib/collision_reaction/cr_physics_full_walk.cc
===================================================================
--- trunk/src/lib/collision_reaction/cr_physics_full_walk.cc	(revision 9235)
+++ trunk/src/lib/collision_reaction/cr_physics_full_walk.cc	(revision 9406)
@@ -33,5 +33,5 @@
 #include "cr_defs.h"
 
-using namespace std;
+
 
 
Index: trunk/src/lib/collision_reaction/cr_physics_ground_walk.cc
===================================================================
--- trunk/src/lib/collision_reaction/cr_physics_ground_walk.cc	(revision 9235)
+++ trunk/src/lib/collision_reaction/cr_physics_ground_walk.cc	(revision 9406)
@@ -33,5 +33,5 @@
 #include "cr_defs.h"
 
-using namespace std;
+
 
 
